//
//  DetailViewController.swift
//  Lokalizacje
//
//  Created by Zdzislaw Sroczynski on 26.04.2015.
//  Copyright (c) 2015 Zdzislaw Sroczynski. All rights reserved.
//

import UIKit
c


class DetailViewController: UIViewController {

    @IBOutlet weak var detailDescriptionLabel: UILabel!
    
    @IBOutlet weak var mapka: MKMapView!


    var detailItem: AnyObject? {
        didSet {
            // Update the view.
            self.configureView()
        }
    }

    func configureView() {
        // Update the user interface for the detail item.
        if let detail: locClass = self.detailItem as? locClass {
            if let label = self.detailDescriptionLabel {
                label.text = "\(detail.latitude) \(detail.longitude)"
                var annotation = MKPointAnnotation()
                let loc = CLLocationCoordinate2D(latitude: detail.latitude, longitude: detail.longitude)
                let region = MKCoordinateRegionMakeWithDistance(loc, 5000, 5000)
                mapka.setRegion(region, animated:true)

                annotation.coordinate = loc
                annotation.title = "Byłem tu"
                annotation.subtitle = "\(detail.latitude) \(detail.longitude)"
                mapka.addAnnotation(annotation)

            }
        }
    }

    override func viewDidLoad() {
        super.viewDidLoad()
        // Do any additional setup after loading the view, typically from a nib.
        
       // mapka.showsUserLocation = true
        let loc = CLLocationCoordinate2D(latitude: 50.291381, longitude: 18.679984)
        let region = MKCoordinateRegionMakeWithDistance(loc, 5000, 5000)
        mapka.setRegion(region, animated:true)
        
        var annotation = MKPointAnnotation()
        annotation.coordinate = loc
        annotation.title = "Politechnika Śląska"
        annotation.subtitle = "Wydział Matematyki Stosowanej"
        mapka.addAnnotation(annotation)
        
        self.configureView()
        
        
    }

    override func didReceiveMemoryWarning() {
        super.didReceiveMemoryWarning()
        // Dispose of any resources that can be recreated.
    }


}

