//
//  ConverterViewController.swift
//  XP1S2016
//
//  Created by Zdzislaw Sroczynski on 15.10.2016.
//  Copyright © 2016 Zdzislaw Sroczynski. All rights reserved.
//

import UIKit

class ConverterViewController: UIViewController {
    @IBOutlet weak var tfTemp: UITextField!

    @IBOutlet weak var btnConvert: UIButton!
    
    @IBOutlet weak var lblResult: UILabel!
    
    @IBAction func tfTempDidEndOnExit(_ sender: AnyObject) {
        //self.resignFirstResponder()
        btnConvertPress(self)
    }
    @IBAction func btnConvertPress(_ sender: AnyObject) {
        //let formatter = NumberFormatter()
        //formatter.numberStyle = .decimal
        //formatter.minimumFractionDigits = 2
        //formatter.maximumFractionDigits = 2
        //let Fdeg : Double = formatter.number(from: tfTemp.text!)!.doubleValue
        //let Cdeg : Double = (Fdeg-32)/1.8
        //var result : String = formatter.string(from: NSNumber(value: Cdeg))!
        //result += " st C"
        if let Fdeg : Double = Double(tfTemp.text!)
        {
            let Cdeg : Double = (Fdeg-32)/1.8
            var result : String = String(format:"%.2f", Cdeg)
            result += " st C"
            lblResult.text = result
        }
        else
        {
            lblResult.text = "błąd!"
        }
        UIApplication.shared.applicationIconBadgeNumber=5
        
        lblResult.isHidden = false
    }
    @IBAction func tfTempEditingChanged(_ sender: AnyObject) {
        lblResult.isHidden = true
    }
    override func viewDidLoad() {
        super.viewDidLoad()
        tfTemp.keyboardType = UIKeyboardType.numbersAndPunctuation
        // Do any additional setup after loading the view.
    }

    override func didReceiveMemoryWarning() {
        super.didReceiveMemoryWarning()
        // Dispose of any resources that can be recreated.
    }
    
    override func touchesBegan(_ touches:Set<UITouch>, with event: UIEvent?)
    {
        let dotyk:UITouch = touches.first!
        if (tfTemp.isFirstResponder && dotyk.view != tfTemp)
        {
            tfTemp.resignFirstResponder()
        }
        super.touchesBegan(touches, with:event)
    }


    /*
    // MARK: - Navigation

    // In a storyboard-based application, you will often want to do a little preparation before navigation
    override func prepare(for segue: UIStoryboardSegue, sender: Any?) {
        // Get the new view controller using segue.destinationViewController.
        // Pass the selected object to the new view controller.
    }
    */

}
