//
//  ViewController.swift
//  XP7S2016
//
//  Created by Zdzisław Sroczyński on 05.12.2016.
//  Copyright © 2016 Zdzisław Sroczyński. All rights reserved.
//

import UIKit

class ViewController: UIViewController, XMLParserDelegate {
    var strXMLData:String = ""
    var parser = XMLParser()
    var inWWW = false
    @IBOutlet weak var TextViewResult: UITextView!
    @IBAction func BtnLoadClick(_ sender: AnyObject) {
       NSLog("Zaczynam ladowanie XML...")
       let url = URL(string: "http://www.sroczynski.pl/xmldata/newspl.xml")!
       let session = URLSession.shared
       let encoding = String.Encoding.utf8
       let task = session.dataTask(with: url, completionHandler:
           { data, response, error -> Void in
             NSLog("Zaladowane")
            let contents = String(data: data!, encoding:encoding)
            DispatchQueue.main.async{self.TextViewResult.text = contents}
            
            self.parser = XMLParser(data: data!) //tu mozna z URL!
            self.parser.delegate = self
            
            let success:Bool = self.parser.parse()
            
            if success
            {
                print("Zakonczono parsowanie XML!")
            }
            else
            {
                print("problem z XML!")
            }
            
           }
        
        ).resume()
        
    }
    override func viewDidLoad() {
        super.viewDidLoad()
        // Do any additional setup after loading the view, typically from a nib.
    }

    override func didReceiveMemoryWarning() {
        super.didReceiveMemoryWarning()
        // Dispose of any resources that can be recreated.
    }

    func parser(_ parser: XMLParser, didStartElement elementName: String, namespaceURI: String?, qualifiedName qName: String?, attributes attributeDict: [String : String]) {
        
        if(elementName=="news")
        {
          print(attributeDict["title"]!)
        }
        if(elementName=="www")
        {
         inWWW = true
        }
            
    }
    
    func parser(_ parser: XMLParser, didEndElement elementName: String, namespaceURI: String?, qualifiedName qName: String?) {
        if(elementName=="www")
        {
            inWWW = false
        }
    }
    
    func parser(_ parser: XMLParser, foundCharacters string: String) {
      if inWWW
      {
        print("URL="+string)
      }
    }
    
    func parser(_ parser: XMLParser, parseErrorOccurred parseError: Error) {
        print("failure error: ", parseError)
    }
}

