//
//  ViewController.swift
//  XP8S2016
//
//  Created by Zdzisław Sroczyński on 05.12.2016.
//  Copyright © 2016 Zdzisław Sroczyński. All rights reserved.
//

import UIKit

class ViewController: UIViewController {
    @IBOutlet weak var lblNodes: UILabel!

    @IBOutlet weak var lblDirections: UILabel!
    @IBOutlet weak var TextViewResult: UITextView!
    override func viewDidLoad() {
        super.viewDidLoad()
        // Do any additional setup after loading the view, typically from a nib.
    }

    override func didReceiveMemoryWarning() {
        super.didReceiveMemoryWarning()
        // Dispose of any resources that can be recreated.
    }


    @IBAction func BtnLoadJSONClick(_ sender: AnyObject) {
        NSLog("Zaczynam ladowanie JSON...")
        let url = URL(string: "http://www.sroczynski.pl/authrest/patterns")!
        let session = URLSession.shared
        let encoding = String.Encoding.utf8
        let task = session.dataTask(with: url, completionHandler:
            { data, response, error -> Void in
                NSLog("Zaladowane")
                let contents = String(data: data!, encoding:encoding)
                DispatchQueue.main.async{self.TextViewResult.text = contents}
                do
                {
                  let parsed = try JSONSerialization.jsonObject(with: data!, options: JSONSerialization.ReadingOptions.mutableContainers)
                
                
                  if let jsonResult = parsed as? [String: String] {
                    DispatchQueue.main.async{
                        self.lblNodes.text = jsonResult["nodes"]
                        self.lblDirections.text = jsonResult["directions"]
                        }
                  }
                }
                catch
                {
                    print("JSON ma bubu")
                }

            }
            
            ).resume()
        
        
    }
}

